<?

function fechacorta($f)

{

list($anio,$mes,$dia)=explode("-",$f);

if($mes=="01"){$mes="Ene";}

if($mes=="02"){$mes="Feb";}

if($mes=="03"){$mes="Mar";}

if($mes=="04"){$mes="Abr";}

if($mes=="05"){$mes="May";}

if($mes=="06"){$mes="Jun";}

if($mes=="07"){$mes="Jul";}

if($mes=="08"){$mes="Ago";}

if($mes=="09"){$mes="Sep";}

if($mes=="10"){$mes="Oct";}

if($mes=="11"){$mes="Nov";}

if($mes=="12"){$mes="Dic";}

$anio;

if(strlen($dia)<2){$dia="0".$dia;}

$f=$dia."-".$mes."-".$anio;

return($f);

}

$sqlm="SELECT email2 FROM `empleados` WHERE puesto in ('4','5','3') AND fechabaja='0000-00-00' and id_empleado not in(95,180,239)";

     $quem=mysql_query($sqlm);

	 while($ms=mysql_fetch_array($quem)){

	    $mails=$mails.", ".$ms["email2"]; 

	 }

$eq="select id_departamento, fecha, valor,motivo from auditoria where fecha='$fecha'";

$s=mysql_query($eq);

$row=mysql_num_rows($s);

$s=mysql_query($eq);

while($w=mysql_fetch_array($s)){

$ids["$w[id_departamento]"]=$w['valor'];

$mot["$w[id_departamento]"]=$w['motivo'];

}

$tabla ="<table border = '1' style='width:100%; font-size:12px; border-collapse:collapse;'>

			<tr style=' border-bottom: solid 1px grey;'>

				<th colspan='6' align='center'>Reporte de ocupacion</th>

			</tr>

			<tr style=' border-bottom: solid 1px grey;'>

				<td width='235'>&nbsp;</td>

				<th colspan='5' align='right'>Fecha y Hora: ".fechatexto($fecha)." a las ".$hora."</th>

			</tr style=' border-bottom: solid 1px grey;'>

			<tr style=' border-bottom: solid 1px grey;'>

				<th align='left'>Propiedad</th>

				<th  align='left'>Ocupados</th>

				<th align='left'>Check out</th>

				<th  align='left'>Check in</th>

				<th  align='left'>libres</th>

			</tr>";

 $sql="SELECT  com.nombre, com.id_complejo from complejo as com WHERE id_complejo NOT IN('14','0','21','23','24')";

 $sqs=mysql_query($sql);

 while($com=mysql_fetch_array($sqs))

 { 

  $tabla .= "<tr style=' border-bottom: solid 1px grey;'>";

 

 if($com["id_complejo"]==1){$clav="TS";}

  if($com["id_complejo"]==2){$clav="M";}

   if($com["id_complejo"]==3){$clav="T";}

    if($com["id_complejo"]==4){$clav="C";}

	 if($com["id_complejo"]==5){$clav="TP";}

	  if($com["id_complejo"]==6){$clav="VIT";}

	   if($com["id_complejo"]==14){$clav="INT";}

	    if($com["id_complejo"]==21){$clav="CAMP";}

		 if($com["id_complejo"]==22){$clav="SA";}

		   if($com["id_complejo"]==23){$clav="TLAL";}

		

	

	$sql="SELECT c.id_concepto, c.dia_inicio, c.dia_salida, d.no_depto, concat(d.clave,' ',com.nombre) as depa, c.id_departamento, c.status_renta from conceptos as c 

	INNER JOIN departamentos as d ON d.id_departamento=c.id_departamento 

	INNER JOIN complejo as com ON com.id_complejo=c.id_complejo  

	WHERE (c.status_renta<>' ' and c.status_renta<>'LIBRE')and c.id_complejo='$com[id_complejo]' and (('$fecha' between c.dia_inicio and c.dia_salida) or $fecha='c.dia_inicio' or $fecha='c.dia_salida') and c.salida_prematura=c.dia_salida group by d.id_departamento order by no_depto asc";	

	$sq=mysql_query($sql);

	while($dep=mysql_fetch_array($sq))

		{ 

			$x++;$y++;

			if($ids["$dep[id_departamento]"]=="1"){$checked="checked";$color="#21610B";}else{$checked=" ";$color="#B40404";}

			$distinto.="and no_depto<>'".$dep["no_depto"]."' ";

			if($dep["dia_inicio"]==$fecha){

			$checkin.="<p style='color:".$color."'>".$clav.$dep["no_depto"]." ".$mot[$dep['id_departamento']]."</p>";}

			if($dep["dia_salida"]==$fecha){

			$checkout.="<p style='color:".$color."'>".$clav.$dep["no_depto"]." ".$mot[$dep['id_departamento']]."<p>";}

			if($dep["dia_inicio"]<$fecha&&$dep["dia_salida"]>$fecha){$ocupado.="<p style='color:".$color."'>".$clav.$dep["no_depto"]." ".$mot[$dep['id_departamento']]."<p>";}

		}

	

	$sql="SELECT d.no_depto, d.id_departamento, concat(d.clave,' ',com.nombre) as depa from departamentos as d INNER JOIN complejo as com ON d.id_complejo=com.id_complejo where d.id_complejo='$com[id_complejo]' $distinto  and d.no_depto>0 order by d.no_depto asc";

	$sq=mysql_query($sql);

	while($lib=mysql_fetch_array($sq))

		{

			$x++;$y++;

			if($ids["$lib[id_departamento]"]=="1"){$checked="checked";$color="#21610B";}else{$checked=" ";$color="#B40404";}

			$libre.="<p style='color:".$color."'>".$clav.$lib["no_depto"]." ".$mot[$lib['id_departamento']]."</p>";

		}

	

	$tabla .="<td valign='top'>".$com['nombre']."</td>

	<td valign='top' >".$ocupado."</td>

	<td valign='top'>".$checkout."</td>

	<td valign='top'>".$checkin."</td>

	<td valign='top'>".$libre."</td>

	</tr>";

  $distinto="";

  $ocupado="";

  $checkout="";

  $checkin="";

  $libre="";

  $y=0;

  }

$tabla ."</table>";	

				

$mail="avilaalberto@hotmail.com";//"$email";

$from="mexicoenrenta_gerencia_imagen@hotmail.com";//"admonrenta@hotmail.com";

$destinatario = $mail; 

$asunto = "Reporte auditoria ".fechacorta($fecha); 

$cuerpo = $tabla;

//para el envío en formato HTML 

$headers = "MIME-Version: 1.0\r\n"; 

$headers .= "Content-type: text/html;  charset=iso-8859-1\r\n"; 

//dirección del remitente 

$headers .= "From: $from\r\n"; 

//dirección de respuesta, si queremos que sea distinta que la del remitente 

$headers .= "Reply-To: none\r\n"; 

//ruta del mensaje desde origen a destino 

$headers .= "Return-path: none\r\n"; 

//direcciones que recibián copia 

// $headers .= "Cc: admonrenta@hotmail.com, informes@mexicoenrenta.com.mx, rentaenmexico@hotmail.com\r\n"; 

$headers .= "Cc: interiorismo-econosuites@hotmail.com,mexicoenrenta_gerencia_imagen@hotmail.com$mails\r\n"; 

//direcciones que recibirán copia oculta 

$headers .= "Bcc:turisiscom@hotmail.com \r\n"; 

mail($destinatario,$asunto,$cuerpo,$headers);

?>